Policy GroupsAll group permissions: policies + grants (admin)

All group permissions: policies + grants (admin)

policies: what the group is allowed to do (they belong to the group). addressGrants / visibilityGrants / categoryGrants: what the group has access to (the group is set as the subject). Active grants only.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/policy-groups/example_string/access" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "group": {
    "id": "cmr3f41z20001psp7phmyapw3",
    "vaultId": "example_string",
    "code": "traders",
    "name": "John Doe",
    "description": "example_string",
    "logoUri": "example_string",
    "color": "#0A84FF",
    "emoji": "👥",
    "createdAt": "2026-07-02T11:25:15.134000Z",
    "updatedAt": "2026-07-02T11:25:15.134000Z"
  },
  "memberCount": 10,
  "policies": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "code": "allow-small",
      "name": "John Doe",
      "description": "example_string",
      "logoUri": "example_string",
      "color": "#0A84FF",
      "emoji": "🛡️",
      "actionType": "transfer",
      "effect": "allow",
      "blockReason": "example_string",
      "approvalThreshold": 42,
      "adminBypass": true,
      "allowInitiatorApproval": true,
      "enabled": true,
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "updatedAt": "2026-07-02T11:25:15.134000Z",
      "_count": {
        "rules": 42
      }
    }
  ],
  "addressGrants": [
    {}
  ],
  "visibilityGrants": [
    {}
  ],
  "categoryGrants": [
    {}
  ]
}
GET
/api/v1/policy-groups/{id}/access
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

Responses

groupobject
Required
memberCountinteger
Required
policiesarray
Required
addressGrantsobject[]
Required
visibilityGrantsobject[]
Required
categoryGrantsobject[]
Required